*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: #222;
}
.main{
    position: relative;
    width: 400px;
    height: 60px;
    background: #333;
    border-radius: 20px;
    /* overflow: hidden; */
}
.main ul{
    list-style: none;
    display: flex;
    width: 100%;
    height: 100%;
    justify-content: center;
    align-items: center;
   gap: 20px;

}
.main ul li{
    position: relative;
    top: 0;
    width: 60px;
    height: 60px;
    display: flex;
    justify-content: center;
    align-items: center; 
    /* background: #999; */
    transition: 0.7s;
}
.main ul li:hover {
    top: -30px;
}
.main ul li:hover a .icon{
    background: rgb(6, 248, 6);
    border-radius: 50%;
    color: #fff;
    box-shadow: inset -5px -5px 10px rgba(0, 0, 0,0.4),
    inset 5px 5px 10px rgba(155, 248, 155, 0.5);
}
.main ul li a{
    position: relative;
    width: 100%;
    height: 100%;
    text-align: center;
    text-decoration: none;
    /* background: #999; */
}
.main ul li a .icon{
    display: flex;
    justify-content: center;
    align-items: center; 
    font-size: 1.5em;
    width: 100%;
    height: 100%;
    color: #ffffff44;
    /* background: #999; */
}
.main ul li a .content{
    opacity: 0;
    margin-top: 5px;
   
}
.main ul li:hover a .content{
    color: #fffdfd;
    border-radius: 10px;
    opacity: 1;
    transition-delay: 0.5s;
    font-family: Arial, Helvetica, sans-serif;
}
.main ul li a .content::before{
    content: '';
    position: absolute;
    left: 50%;
    bottom: -30px;
    width: 4px;
    height: 4px;
    border-radius: 50%;
    box-shadow: 0 0 5px red,
    0 0 10px red;
    background: red;

}